
  

.miam-personal-recipes {
  display: flex;
  justify-content: space-between;
  width: 100%;

  .miam-personal-recipes__filters {
    position: relative;
    left: 0px;
    top: 0px;
    width: 216px;
    height: 900px;
    border-right: solid 1px #e9e9e9;
    padding: 16px;
   
    transition: none;
  

    &.filter-collapsed{ 
      width: 0px;
      padding: 0px;
    }
    
    .miam-personal-recipes__filters__toggle{
      transition: width 250ms cubic-bezier(0, 0, 0.2, 1);
      background: var(--m-color-primary);
      color: var(--m-color-white);
      position: absolute;
      left: 100%;
      top: 350px;
      z-index: 1;
      display: flex;
      padding: 16px 24px 16px 24px;
      border-radius: 0px 100px 100px 0px;
      cursor: pointer;
      font-size: 17px;
      font-weight: 700;
      align-items: center;
      ng-miam-icon {
        transform: rotate(90deg);
      }
      
      &.filter-collapsed{
        min-width: 200px;
        ng-miam-icon {
          transform: rotate(-90deg);
        }
      }
    }
  }

  .miam-personal-recipes__content {
    width: calc(100% - 216px);

    &.filter-collapsed{
      width: 100%;
      overflow-x: hidden;
    }
  
    .miam-personal-recipes__list {
      width: 100%;
      margin-top: 40px;
    }

    .miam-personal-recipes__list__new {
      display: flex;
      width: 100%;
      margin-top: 24px;
      justify-content: center;
    }
  }
}
